%if 0%{?el7}
%define dist .el7
%endif

Name:		perl-MLDBM-Sync
Version:	0.30
Release:	5%{?dist}
Summary:	safe concurrent access to MLDBM databases

Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/~chamas/MLDBM-Sync-0.30/
Source0:	http://search.cpan.org/CPAN/authors/id/C/CH/CHAMAS/MLDBM-Sync-%{version}.tar.gz

BuildArch:	noarch
BuildRequires:	perl(MLDBM)
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Digest::MD5)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

Packager:       momo-i <webmaster@momo-i.org>
Vendor:         momo-i, http://www.momo-i.org/

%description
This module wraps around the MLDBM interface, by handling concurrent
access to MLDBM databases with file locking, and flushes i/o explicity
per lock/unlock.  The new [Read]Lock()/UnLock() API can be used to serialize
requests logically and improve performance for bundled reads & writes.

%prep
%setup -q -n MLDBM-Sync-%{version}


%build
%{__perl} Makefile.PL installdirs=vendor
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

rm -rf $RPM_BUILD_ROOT%{perl_archlib}/vendor_perl/auto/MLDBM/Sync/.packlist
rm -rf $RPM_BUILD_ROOT%{perl_archlib}/perllocal.pod

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES README
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog
* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 0.30-5
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 0.30-4
- Rebuilt for fc23

* Thu Apr 16 2015 momo-i <webmaster@momo-i.org> - 0.30-3
- Rebuilt for fc22

* Mon Feb 25 2013 momo-i <webmaster@momo-i.org> 0.30-1
- Initial rpm release.
